RECSET(1)

NOM
recset – Manipulation des champs dans un recfile

SYNOPSIS
recset [OPTION]... [FICHIER]...

DESCRIPTION
Modification ou suppression de champs d’enregistrement.

--no-external
    Ne pas utiliser de descripteurs externes.

--force
    Modifier les enregistrements même en cas de violation des restrictions d’enregistrement.

--help
    Afficher un message d'aide puis quitter.

--version
    Afficher la version du programme puis quitter.

  Options de sélection d’enregistrements :

-i, --case-insensitive
    Rendre les chaines indépendantes de la casse dans les expressions de sélection.

-t, --type=TYPE
    Agir seulement sur les enregistrements du type indiqué.

-e, --expression=EXPR_ENREG
    Expression pour la sélection.

-q, --quick=CHAINE
    Sélection des enregistrements avec des champs contenant la chaine.

-n, --number=NUMÉRO,...
    Sélection d’enregistrements particuliers par position et avec intervalles.

-m, --random=NOMBRE
    Sélection du nombre indiqué d’enregistrements aléatoires.

  Options de sélection de champ :

-f, --fields=CHAMPS
    Liste de noms de champ séparés par des virgules avec des indices facultatifs.

  Actions :

-s, --set=VALEUR
    Modification de la valeur des champs sélectionnés.

-a, --add=VALEUR
    Ajout de la valeur indiquée aux champs sélectionnés.

-S, --set-add=VALEUR
    Modification de la valeur des champs sélectionnés. S’ils n’existent pas, ajout d’un nouveau champ avec cette valeur.

-r, --rename=NOM
    Renommage des champs sélectionnés avec le nom indiqué. Si un ensemble entier d’enregistrements est sélectionné, le champ est aussi renommé dans le descripteur d’enregistrement.

-d, --delete
    Suppression des champs sélectionnés.

-c, --comment
    Mise en commentaire des champs sélectionnés.

AUTEUR
Écrit par Jose E. Marchesi.

SIGNALER DES BOGUES
Signaler toute erreur à bug-recutils@gnu.org
Page d'accueil de GNU recutils : <https://www.gnu.org/software/recutils/>
Aide générale pour les logiciels GNU : <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010-2020 Jose E. Marchesi. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de recset est disponible dans un manuel Texinfo. Si les programmes info et recset sont correctement installés, la commande

    info recutils

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.